<?php

namespace Lc\SovBundle\Model\Site;

use Doctrine\Common\Collections\Collection;
use Lc\SovBundle\Model\Setting\SiteSettingInterface;

interface SiteInterface
{
    public function getDevAlias(): ?string;

    public function setDevAlias(?string $devAlias): SiteInterface;

    /**
     * @return Collection|SiteSettingInterface[]
     */
    public function getSettings(): Collection;

    public function addSetting(SiteSettingInterface $setting): SiteInterface;

    public function removeSetting(SiteSettingInterface $setting): SiteInterface;
}